<?php

namespace App\ViewModels\UnidadeUF\UnidadeUFUpdateViewModel;

use App\Utils\Entity;

class UnidadeUFUpdateViewModel extends Entity {
	protected $id;
	protected $idUnidade;
	protected $idUf;
	protected $crc;
	protected $nomeUnidade;

	public static function builder(): UnidadeUFUpdateViewModelBuilder {

		return new UnidadeUFUpdateViewModelBuilder();

	}
	
	/**
	 * @return mixed
	 */
	public function getId() {
		
		return $this->id;
	}
	
	
	/**
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;
	}


	/**
	 * @return mixed
	 */
	public function getIdUf() {

		return $this->idUf;
	}


	/**
	 * @return mixed
	 */
	public function getCrc() {

		return $this->crc;
	}


	/**
	 * @return mixed
	 */
	public function getNomeUnidade() {

		return $this->nomeUnidade;
	}


	/**
	 * @param mixed $idUnidade
	 */
	public function setId($id) {
		
		$this->id = $id;
	}
	
	/**
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;
	}


	/**
	 * @param mixed $idUf
	 */
	public function setIdUf($idUf) {

		$this->idUf = $idUf;
	}


	/**
	 * @param mixed $crc
	 */
	public function setCrc($crc) {

		$this->crc = $crc;
	}


	/**
	 * @param mixed $nomeUnidade
	 */
	public function setNomeUnidade($nomeUnidade) {

		$this->nomeUnidade = $nomeUnidade;
	}


	


}

